%define major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           snappy
Version:        1.1.1
Release:        %mkrel 1
Summary:        Fast compression and decompression library
Group:          System/Libraries
License:        BSD
URL:            http://code.google.com/p/snappy/
Source0:        http://snappy.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRequires:  gtest-devel

%description
Snappy is a compression/decompression library. It does not aim for maximum
compression, or compatibility with any other compression library; instead, it
aims for very high speeds and reasonable compression. For instance, compared
to the fastest mode of zlib, Snappy is an order of magnitude faster for most
inputs, but the resulting compressed files are anywhere from 20% to 100%
bigger.


#--------------------------------------------

%package -n %{libname}
Summary:        Library of Snappy
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}


%description -n %{libname}
Snappy is a compression/decompression library.

#---------------------------------------------

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}


%description -n %{develname}
This developement package of %{name} contains libraries and
header files for developing applications that use %{name}.

#----------------------------------------------

%prep
%setup -q


%build
%configure2_5x --disable-static
%make


%install
%makeinstall_std
rm -rf %{buildroot}%{_datadir}/doc/snappy/
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/libsnappy.so.%{major}*

%files -n %{develname}
%doc format_description.txt framing_format.txt
%{_includedir}/snappy*.h
%{_libdir}/libsnappy.so


%changelog
* Sat Dec 14 2013 dglent <dglent> 1.1.1-1.mga4
+ Revision: 556733
- New version 1.1.1
- Remove comment based on fedora as the current version is much different now.
- Restore the version tag in devel package requires
- Remove br based on arch
- Change in devel requires from '%%{name}' to '%%{libname}'
- Add in provides '%%{name}-devel' in devel package
- Update spec
- Fix description of devel package
- Modify spec according Mageia policy for libraries
- imported package snappy

